<?php
class ControllerSalePos extends Controller {
	private $error = array();

	public function index() {
		$this->load->language('sale/order');
		$this->load->model('sale/sale_order');
		
		$data['bar_categories'] = $this->model_sale_sale_order->getCategories('59');
		$data['food_categories'] = $this->model_sale_sale_order->getCategories('60');
		$data['products'] = $this->model_sale_sale_order->getProducts();
		
	    $data['username'] = $this->user->getUserName();
		$data['user_id'] = $this->user->getId();
		
	   	$data['taken_table_ids'] = $this->model_sale_sale_order->getTakenTables();
	    
		$data['open_kots']= $open_kots = $this->model_sale_sale_order->getOpenKots();
		
		$open_kot_ids = array();
		
		for($i=0; $i < sizeof($open_kots); $i++){
			$open_kot_ids[$i]= $open_kots[$i]['kot_id'];
			}
		
		if(sizeof($open_kot_ids)>0){
		$open_kot_ids = implode(",",$open_kot_ids);
			}else{
		$open_kot_ids = 0;
				}
				
		$data['kot_data'] = $this->model_sale_sale_order->getKotProducts($open_kot_ids);
		
        $data['payment_methods'] = $this->model_sale_sale_order->getPaymentMethods();
	    $data['waiters'] = $this->model_sale_sale_order->getWaiters();
	    $data['order_sources'] = $this->model_sale_sale_order->getOrderSources();
		$data['customer'] = $this->model_sale_sale_order->getSaleCustomer();	
	
	
		 ///takeaway kot data/////
	 
	   
	   $data['open_kots_takeaway'] = $open_kots_takeaway = $this->model_sale_sale_order->getOpenTakeawayKots();
		
	   $open_kot_ids_takeaway = array();
		
		for($i=0; $i < sizeof($open_kots_takeaway); $i++){
			$open_kot_ids_takeaway[$i]= $open_kots_takeaway[$i]['kot_id'];
			}
		
		if(sizeof($open_kot_ids_takeaway)>0){
		$open_kot_ids_takeaway = implode(",",$open_kot_ids_takeaway);
			}else{
		$open_kot_ids_takeaway = 0;
				}
			
		$data['kot_data_takeaway'] = $this->model_sale_sale_order->getKotProducts($open_kot_ids_takeaway);
	
	
	

		$this->document->setTitle($this->language->get('heading_title'));
		
		$data['token'] = $this->session->data['token'];
		
		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('sale/pos', $data));


		}
		
		public function save_bill(){
	  
				$this->load->model('sale/sale_order');
	      
			
			//add customer
			
			$customer_id = $this->request->post['customer_id'];
			$customer_name = $this->request->post['customer_name'];
			$customer_email = $this->request->post['customer_email'];
			$customer_phone = $this->request->post['customer_number'];
			
			
			if($customer_id==0 || $customer_id==''){
				if(!empty($customer_name) && !empty($customer_phone)){
				  $customer_id = $this->model_sale_sale_order->addCustomer($customer_name, $customer_email, $customer_phone);	
					}
				}
			
			    $data['customer_id']= $customer_id;
				$data['erase_flag']= $this->request->post['erase_flag'];
				$data['served_by']= $this->request->post['waiter_id'];
				$data['created_by']= $this->request->post['created_by'];
				$data['date']= $this->request->post['date'];
				$data['time']= $this->request->post['time'];
				$data['grand_total']= $this->request->post['grand_total'];
				$data['service_charges']= $this->request->post['service_charges'];
				$data['discount']= $this->request->post['discount'];
				$data['payment_method']= $this->request->post['payment_method'];
				$data['table_id']= $this->request->post['table_id'];
				$data['table_order_id']= $this->request->post['table_order_id'];
				$data['takeaway_order_id']= $this->request->post['takeaway_order_id'];
				
				$data['product_id']= $this->request->post['product_id'];
				$data['product_name']= $this->request->post['product_name'];
				$data['product_price']= $this->request->post['product_price'];
				$data['product_qty']= $this->request->post['product_qty'];
				
				
			
			if($this->request->post['table_id']!=0 || !empty($this->request->post['table_id'])){
				$this->model_sale_sale_order->save_table_bill($data);
				}else{
				$this->model_sale_sale_order->save_takeaway_bill($data);
					}	
		
		
		
	//	return 
		
			}
		
	
}
?>